import { EventEmitter } from 'nomatic-events';
import { Transport } from './transports';
export interface LoggerEntry {
    name: string;
    level: string;
    message: string;
    date: Date;
    data?: Object;
}
export interface LoggerLevels {
    [key: string]: number;
}
export interface LoggerOptions {
    template?: string;
    transports?: Transport[];
    levels?: LoggerLevels;
}
export declare class Logger extends EventEmitter {
    private _levels;
    protected transports: Transport[];
    protected children: Logger[];
    readonly name: string;
    template: string;
    constructor(name?: string, options?: LoggerOptions);
    levels: LoggerLevels;
    private serialize(level, message, data?);
    configure(options: LoggerOptions): void;
    create(name: string, options?: LoggerOptions): Logger;
    find(name: string): Logger;
    log(level: string, messageOrData: string | Object, data?: Object): void;
    get(name: string): Logger;
    register(logger: Logger): boolean;
    use(transport: Transport): void;
}
export default Logger;
